var btExibirPermissoes = 0;
function SomenteNumero(e) {
    var tecla = (window.event) ? event.keyCode : e.which;
    if ((tecla > 47 && tecla < 58))
        return true;
    else {
        if (tecla == 8 || tecla == 0)
            return true;
        else
            return false;
    }
}

$("#btSalvar").click(function () {
    if ($("#Desc").val() != '') {
        var URL = 'Funcoes.php?Function=39&func='
                + $("#Function").val() + "&Desc="
                + $("#Desc").val();
        $.get(URL, function (resposta) {
            var Resp = JSON.parse(resposta);
            if (Resp.JSON != "OK") {
                $("#TituloModal").html("Erro!");
                $("#TextError").html("Não foi possível salvar a permissão pois a descrição informada já se encontra cadastrada tente novamente com uma descrição diferente.");
                $("#descError").html("<b>" + Resp.JSON + "</b>");
                $("#Erro").show();
            } else {
                location.reload();
            }
        });
    } else {
        $("#TituloModal").html("Atenção!");
        $("#TextError").html("Não é possível registrar uma permissão sem informar uma descrição.");
        $("#Erro").show();
    }
});
$(function ($) {
    remove = function (item) {
        var tr = $(item).closest('tr');
        tr.fadeOut(400, function () {
            tr.remove();
            var URL = "Funcoes.php?Function=40&ID_Permissao=" + (this.id);
            console.log(URL);
            $.get(URL, function (resposta) {
                var Resp = JSON.parse(resposta);
                if (Resp.JSON != "OK") {
                    $("#TituloModal").html("Erro!");
                    $("#TextError").html("Não foi possível excluir a permissão pois a mesma está sendo utilizada por outra funcionalidade do sistema.");
                    $("#descError").html("<b>" + Resp.JSON + "</b>");
                    $("#Erro").show();
                }
            });
        });
        return false;
    }
});
$('#CloseModal').click(function () {
    $("#Erro").hide();
});
$('#BT_closeModal').click(function () {
    $("#Erro").hide();
});
$('#pageAnt').click(function () {
    history.back()
});